Template::Grammar(3pm)

NAME
Template::Grammar - Parser state/rule tables for the TT grammar

SYNOPSIS
    # no user serviceable parts inside

DESCRIPTION
This module defines the state and rule tables that the Template::Parser module uses to parse templates. It is generated from a YACC-like grammar using the "Parse::Yapp" module. The parser sub-directory of the Template Toolkit source distribution contains the grammar and other files required to generate this module.

But you don't need to worry about any of that unless you're planning to modify the Template Toolkit language.

AUTHOR
Andy Wardley <abw@wardley.org>

<http://wardley.org/>

COPYRIGHT
Copyright (C) 1996-2014 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Parser